﻿(function(wijmo, app) {
    'use strict';

    // 创建控件
    var chart = new wijmo.chart.hierarchical.Sunburst('#introChart');

    // 初始化旭日图
    chart.beginUpdate();

    // 旭日图包含的值得属性名
    chart.binding = 'value';

    // 设置层级数据中子项目的名称，用于在旭日图中生成子项
    chart.bindingName = ['year', 'quarter', 'month'];

    // 设置数据源
    chart.itemsSource = app.getData();

    // 设置数据显示的位置
    chart.dataLabel.position = wijmo.chart.PieLabelPosition.Center;

    // 设置数据显示的内容
    chart.dataLabel.content = '{name}';

    // 设置选择模式
    chart.selectionMode = 'Point';

    chart.endUpdate();

})(wijmo, app);